# Interface_ParamType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Interface_ParamType { Interface_ParamMisc, Interface_ParamInteger, Interface_ParamReal, Interface_ParamIdent, Interface_ParamVoid, Interface_ParamText, Interface_ParamEnum, Interface_ParamLogical, Interface_ParamSub, Interface_ParamHexa, Interface_ParamBinary }

## Enumeration Type Documentation

enum Interface_ParamType

Enumeration values:

  Interface_ParamMisc |
  Interface_ParamInteger |
  Interface_ParamReal |
  Interface_ParamIdent |
  Interface_ParamVoid |
  Interface_ParamText |
  Interface_ParamEnum |
  Interface_ParamLogical |
  Interface_ParamSub |
  Interface_ParamHexa |
  Interface_ParamBinary |